Get account balance
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fingopay.io/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fingopay.io/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.fingopay.io/v1/balance \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fingopay.io/v1/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fingopay.io/v1/balance")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fingopay.io/v1/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.fingopay.io/v1/balance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);{
"status": "success",
"message": "Balance fetched",
"data": {
"account": "collections",
"balance": 9876543,
"currency": "KES",
"available": 9876543,
"pending": 0,
"updatedAt": "2025-08-15T12:05:00Z",
"accountNo": "ACC-123456"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"requestId": "<string>"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"requestId": "<string>"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"requestId": "<string>"
}
}Get account balance
Retrieve the balance for a specific account using accountNo. Requests without accountNo are invalid and return 400 (including requests with no query parameters or only the legacy account parameter). If both accountNo and legacy account are provided, accountNo takes precedence.
GET
/
v1
/
balance
Get account balance
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fingopay.io/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fingopay.io/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
Use your API key as a Bearer token. Example: Authorization: Bearer sk_live_...
Query Parameters
Specific account number to get balance for. This is the supported selector for balance lookup.
Response
Balance fetched successfully
Example:
"success"
Example:
"Balance fetched"
Hide child attributes
Hide child attributes
Account type
Example:
"collections"
Current available balance in smallest currency unit
Example:
9876543
Example:
"KES"
Available balance
Example:
9876543
Pending balance
Example:
0
Example:
"2025-08-15T12:05:00Z"
Account number if applicable
Example:
"ACC-123456"
Was this page helpful?
⌘I